//////////////////////////////////////////////////////////////////////
//                                                                  //
// Programmname: HSA_LCD_Shield - Header                            //
// Datum: 23.04.2018                                                //
// Beschreibung: Header-Datei für das LCD-Shield, welches im Modul  //
//               "Elektronikdesign" erstellt wurde. Hier werden     //
//               alle Funktionen der Klasse "HSA_LCD_Shield" auf-   //
//               geführt und beschrieben.                           //
//                                                                  //
// Autor: Tobias Müller, M. Eng.                                    //
//                                                                  //
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
//////////                  create Header                   //////////
//////////////////////////////////////////////////////////////////////

#ifndef HSA_LCD_Shield
#define HSA_LCD_Shield

//////////////////////////////////////////////////////////////////////
//////////                  Define Symbol                   //////////
//////////////////////////////////////////////////////////////////////

// I²C Addresse
#ifndef I2C_ADDRESS
#define I2C_ADDRESS 0x3C
#endif

// Button Right
#ifndef BUTTON_RIGHT
#define BUTTON_RIGHT 0x02
#endif

// Button Down
#ifndef BUTTON_DOWN
#define BUTTON_DOWN 0x03
#endif

// Button Up
#ifndef BUTTON_UP
#define BUTTON_UP 0x04
#endif

// Button Left
#ifndef BUTTON_LEFT
#define BUTTON_LEFT 0x05
#endif

// LED Red
#ifndef LED_RED
#define LED_RED 0x06
#endif

// LED Green
#ifndef LED_GREEN
#define LED_GREEN 0x07
#endif

// LCD-Backlight
#ifndef LCD_BACKLIGHT
#define LCD_BACKLIGHT 0x08
#endif

//////////////////////////////////////////////////////////////////////
//////////              Include Header-File                 //////////
//////////////////////////////////////////////////////////////////////

#include <Arduino.h>
#include <Wire.h>

//////////////////////////////////////////////////////////////////////
//////////                Global Variable                   //////////
//////////////////////////////////////////////////////////////////////



//////////////////////////////////////////////////////////////////////
//////////                  Define Class                    //////////
//////////////////////////////////////////////////////////////////////

/// @brief HSA_LCD_Shield class 
/// @details Is used, to control all functions of the HSA_LCD_Shield 
class HSA_LCD_Shield {

//////////////////////////////////////////////////////////////////////
//////////                  Privat Area                     //////////
//////////////////////////////////////////////////////////////////////

private:

Byte _i2cAddress;
Byte _buttonRight;
Byte _buttonDown;
Byte _buttonUp;
Byte _buttonLeft;
Byte _buttonRight;
Byte _ledRed;
Byte _ledGreen;
Byte _lcdBacklight;

//////////////////////////////////////////////////////////////////////
//////////                Public Functions                  //////////
//////////////////////////////////////////////////////////////////////

public:

//////////                Public Functions                  //////////

HSA_LCD_Shield


//////////////////////////////////////////////////////////////////////
//////////                  close Header                    //////////
//////////////////////////////////////////////////////////////////////

};
#endif